# Bulk partial update Operations Perform a bulk update for multiple operations. This endpoint is atomic; either all updates succeed or none do. Endpoint: PATCH /v1/operations/bulk/ Version: 1.0.0 Security: tokenAuth ## Request fields (application/json): - `id` (string) - `externalId` (string,null) - `planning` (string) - `description` (string,null) - `metadata` (any) - `isBlocker` (boolean) - `group` (string,null) Group to which this operation belongs, e.g., a portcall. - `inboundTask` (object) - `inboundTask.taskName` (string, required) - `inboundTask.scheduledTime` (string, required) - `inboundTask.expectedTime` (string, required) - `inboundTask.expectedTimeP05` (string) - `inboundTask.expectedTimeP10` (string) - `inboundTask.expectedTimeP90` (string) - `inboundTask.expectedTimeP95` (string) - `inboundTask.expectedTimesSource` (string, required) Enum: "schedule", "actual", "manual", "predicted", "external" - `inboundTask.actualTime` (string,null) - `inboundTask.tags` (array) - `inboundTask.isMock` (boolean) - `outboundTask` (object) ## Response 200 fields (application/json): - `id` (string) - `externalId` (string,null) - `planning` (string, required) - `description` (string,null) - `metadata` (any) - `isBlocker` (boolean, required) - `tagsDetails` (array, required) - `tagsDetails.uuid` (string, required) - `tagsDetails.category` (string, required) - `tagsDetails.value` (string, required) - `tagsDetails.required` (boolean) - `tagsDetails.color` (string,null) - `operationName` (string, required) - `group` (string,null) Group to which this operation belongs, e.g., a portcall. - `inboundTask` (any, required) - `outboundTask` (any, required) - `workspace` (string,null, required) ## Response 400 fields (application/json): - `detail` (string, required) ## Response 404 fields (application/json): - `detail` (string, required) ## Response 500 fields (application/json): - `detail` (string, required) ## Response 401 fields ## Response 403 fields